TIX 6 Query API
It is possible to query data from the TIX using the GTNet Query Interface (GQI) API. For details on the parameters of the different API calls, see the documentation on the TIX. {tix-url}/api, e.g. http://myserver.mycompany.com/tix/api/api.html but this documentation provides some more detail on each end point.
GQI provides endpoints for both Representational State Transfer (REST) and Simple Object Access Protocol (SOAP) queries.
A user that has access to more than one TIX node must include a nodeId parameter in the request when accessing the query API.
GET /object?epcs=X&nodeId=<tix-node-id>Event queries
TIX6 supports both the SimpleMasterDataQuery and ExtendedMasterDataQuery as defined in the EPCIS Specification. found at http://www.epcglobalinc.org/standards/epcis/epcis_1_0_1-standard-20070921.pdf. For a list of the supported query parameters and their details consult the Master Data Service API documentation.
For more details see Event Queries.
Object queries
When EPCIS events are imported they are also converted to ttData. In ttData the focus is on the history of the EPCs, and it's better suited than event data for certain kinds of queries.
The object endpoint has two operations, GET and HEAD where GET provides a result of entity objects, and HEAD returns the number of lines in the resut. The level of detail of the returned data is controllable through parameters.
Graph queries
The TIX5 style graphs are available through the /graph/png endpoint. This endpoint returns a png-encoded image.

The only required parameter is the origin which specifies the starting point for the trace.